Bug 226017 - Merge Review: libgnomeprintui22
Merge Review: libgnomeprintui22
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:23 EST by Nobody's working on this, feel free to take it
Modified: 2010-09-09 04:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 04:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:23:23 EST
Fedora Merge Review: libgnomeprintui22

http://cvs.fedora.redhat.com/viewcvs/devel/libgnomeprintui22/
Initial Owner: davidz@redhat.com
Comment 1 Parag AN(पराग) 2010-09-09 04:36:19 EDT
Review:
koji Build =>http://koji.fedoraproject.org/koji/buildinfo?buildID=164852
+ rpmlint output for SRPM and for RPM.
libgnomeprintui22.x86_64: W: spelling-error Summary(en_US) libgnomeprint -> teleprinter, voiceprint, blueprint
libgnomeprintui22-devel.x86_64: W: spelling-error %description -l en_US precompiled -> recompiled, p recompiled, precomputed
libgnomeprintui22.src: W: spelling-error Summary(en_US) libgnomeprint -> teleprinter, voiceprint, blueprint
libgnomeprintui22.src: W: spelling-error %description -l en_US libgnomeprintui -> counterintuitive, teleprinter, blueprint
libgnomeprintui22.src: W: no-buildroot-tag
libgnomeprintui22.src:16: W: mixed-use-of-spaces-and-tabs (spaces: line 16, tab: line 15)
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

+ source files match upstream url (sha1sum)
ef641569b5a454e89250ae13da5b74620552e9d8  libgnomeprintui-2.18.5.tar.bz2

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ libgnomeprintui-2.2.pc file present.
+ -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) Maintainer can perform some cosmetic cleanups.
2) Following new changes can be implemented.
 a) %clean not needed
 b) cleaning of buildroot at start of %install also not needed


APPROVED libgnomeprintui22-2.18.5-1.fc14.

Note You need to log in before you can comment on or make changes to this bug.